| Gtk2Hs | Contents | Index

System.Glib.StoreValue

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net

Description
Synopsis

data TMType

= TMinvalid
| TMuint
| TMint
| TMboolean
| TMenum
| TMflags
| TMfloat
| TMdouble
| TMstring
| TMobject

data GenericValue

= GVuint Word
| GVint Int
| GVboolean Bool
| GVenum Int
| GVflags Int
| GVfloat Float
| GVdouble Double
| GVstring (Maybe String)
| GVobject GObject

valueSetGenericValue :: GValue -> GenericValue -> IO ()
valueGetGenericValue :: GValue -> IO GenericValue

Documentation
data TMType

Constructors

TMinvalid |
TMuint |
TMint |
TMboolean |
TMenum |
TMflags |
TMfloat |
TMdouble |
TMstring |
TMobject |

Instances

Enum TMType

data GenericValue

A union with information about the currently stored type.

- Internally used by Graphics.UI.Gtk.TreeList.TreeModel.

Constructors

GVuint Word |
GVint Int |
GVboolean Bool |
GVenum Int |
GVflags Int |
GVfloat Float |
GVdouble Double |
GVstring (Maybe String) |
GVobject GObject |

valueSetGenericValue :: GValue -> GenericValue -> IO ()
valueGetGenericValue :: GValue -> IO GenericValue
Produced by Haddock version 2.4.2